
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Elasticsearch入门必备——ES中的字段类型以及常用属性 / iVAN</title>

    <meta name="description" content="Elasticsearch入门必备——ES中的字段类型以及常用属性 使用Elasticsearch时,了解字段的概念,是必不可少的.毕竟无论是es还是传统的数据库,都无法弱化字段的类型. 背景知识 在Es中,字段的类型很关键: 在索引的时候,如果字段第一次出现,会自动识别某个类型,这种规则之前已经讲过了. 那么如果一个字段已经存在了,并且设置为某个类型.再来一条数据,字段的数据不与当前的类型相符,就会出现字段冲突的问题.如果发生了冲突,在2.x版本会自动拒绝. 如果自动映射无法满足需求,就需要使用者自己来设置映射类型,因此,就需要使用者了解ES中的类型. 下面就">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Elasticsearch入门必备——ES中的字段类型以及常用属性</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<blockquote><p>使用Elasticsearch时，了解字段的概念，是必不可少的。毕竟无论是es还是传统的数据库，都无法弱化字段的类型。</p></blockquote>
<h2>背景知识</h2>
<p>在Es中，字段的类型很关键：</p>
<ul>
<li>在索引的时候，如果字段第一次出现，会自动识别某个类型，这种规则之前已经讲过了。</li>
<li>那么如果一个字段已经存在了，并且设置为某个类型。再来一条数据，字段的数据不与当前的类型相符，就会出现字段冲突的问题。如果发生了冲突，在2.x版本会自动拒绝。</li>
<li>如果自动映射无法满足需求，就需要使用者自己来设置映射类型，因此，就需要使用者了解ES中的类型。</li>
</ul>
<p>下面就步入正题吧！</p>
<h2>字段中的索引和存储</h2>
<p>其中需要说明的是：</p>
<h4>index定义字段的分析类型以及检索方式</h4>
<ul>
<li>如果是no，则无法通过检索查询到该字段；</li>
<li>如果设置为not_analyzed则会将整个字段存储为关键词，常用于汉字短语、邮箱等复杂的字符串；</li>
<li>如果设置为analyzed则将会通过默认的standard分析器进行分析，<a href="https://www.elastic.co/guide/en/elasticsearch/reference/current/analysis-standard-analyzer.html" rel="external nofollow noreferrer">详细的分析规则参考这里</a></li>
</ul>
<h4>store定义了字段是否存储</h4>
<p>在《ES IN ACTION》中有这样一段描述：</p>
<pre><code>This might be useful when you ask Elasticsearch for a particular field because retrieving a single stored field will be faster than retrieving the entire _source and extracting that field from it, especially when you have large documents.
NOTE When you store individual fields as well, you should take into account that the more you store, the bigger your index gets. Usually bigger indices imply slower indexing and slower searching.</code></pre>
<p>意思是，在ES中原始的文本会存储在_source里面（除非你关闭了它）。默认情况下其他提取出来的字段都不是独立存储的，是从_source里面提取出来的。当然你也可以独立的存储某个字段，只要设置store:true即可。</p>
<p>独立存储某个字段，在频繁使用某个特殊字段时很常用。而且获取独立存储的字段要比从_source中解析快得多，而且额外你还需要从_source中解析出来这个字段，尤其是_source特别大的时候。</p>
<p>不过需要注意的是，独立存储的字段越多，那么索引就越大；索引越大，索引和检索的过程就会越慢....</p>
<h2>string</h2>
<p>字符串类型，es中最常用的类型，<a href="https://www.elastic.co/guide/en/elasticsearch/reference/current/string.html" rel="external nofollow noreferrer">官方文档</a></p>
<p>比较重要的参数：</p>
<h5>index分析</h5>
<ul>
<li>analyzed(默认)</li>
<li>not_analyzed</li>
<li>no</li>
</ul>
<h5>store存储</h5>
<ul>
<li>true 独立存储</li>
<li>false（默认）不存储，从_source中解析</li>
</ul>
<h2>Numeric</h2>
<p>数值类型，注意numeric并不是一个类型，它包括多种类型，比如：long,integer,short,byte,double,float，每种的存储空间都是不一样的，一般默认推荐integer和float。<a href="https://www.elastic.co/guide/en/elasticsearch/reference/current/number.html" rel="external nofollow noreferrer">官方文档参考</a></p>
<p>重要的参数：</p>
<h5>index分析</h5>
<ul>
<li>not_analyzed(默认) ，设置为该值可以保证该字段能通过检索查询到</li>
<li>no</li>
</ul>
<h5>store存储</h5>
<ul>
<li>true 独立存储</li>
<li>false（默认）不存储，从_source中解析</li>
</ul>
<h2>date</h2>
<p>日期类型，该类型可以接受一些常见的日期表达方式，<a href="https://www.elastic.co/guide/en/elasticsearch/reference/current/date.html" rel="external nofollow noreferrer">官方文档参考</a>。</p>
<p>重要的参数：</p>
<h5>index分析</h5>
<ul>
<li>not_analyzed(默认) ，设置为该值可以保证该字段能通过检索查询到</li>
<li>no</li>
</ul>
<h5>store存储</h5>
<ul>
<li>true 独立存储</li>
<li>false（默认）不存储，从_source中解析</li>
</ul>
<h5>format格式化</h5>
<ul>
<li>strict_date_optional_time||epoch_millis（默认）</li>
<li>你也可以自定义格式化内容，比如
<pre><code>"date": {
  "type":   "date",
  "format": "yyy-MM-dd HH:mm:ss||yyyy-MM-dd||epoch_millis"
}</code></pre>
</li>
<li><a href="https://www.elastic.co/guide/en/elasticsearch/reference/current/mapping-date-format.html#strict-date-time" rel="external nofollow noreferrer">更多的时间表达式可以参考这里</a></li>
</ul>
<h2>IP</h2>
<p>这个类型可以用来标识IPV4的地址，<a href="https://www.elastic.co/guide/en/elasticsearch/reference/current/ip.html" rel="external nofollow noreferrer">参考官方文档</a></p>
<p>常用参数：</p>
<h5>index分析</h5>
<ul>
<li>not_analyzed(默认) ，设置为该值可以保证该字段能通过检索查询到</li>
<li>no</li>
</ul>
<h5>store存储</h5>
<ul>
<li>true 独立存储</li>
<li>false（默认）不存储，从_source中解析</li>
</ul>
<h2>boolean</h2>
<p>布尔类型，所有的类型都可以标识布尔类型，<a href="https://www.elastic.co/guide/en/elasticsearch/reference/current/boolean.html" rel="external nofollow noreferrer">参考官方文档</a></p>
<ul>
<li>False: 表示该值的有:false, "false", "off", "no", "0", "" (empty string), 0, 0.0</li>
<li>True: 所有非False的都是true</li>
</ul>
<p>重要的参数：</p>
<h5>index分析</h5>
<ul>
<li>not_analyzed(默认) ，设置为该值可以保证该字段能通过检索查询到</li>
<li>no</li>
</ul>
<h5>store存储</h5>
<ul>
<li>true 独立存储</li>
<li>false（默认）不存储，从_source中解析</li>
</ul>
<p>本文转自博客园xingoo的博客，原文链接：<a href="http://www.cnblogs.com/xing901022/p/5471419.html" rel="external nofollow noreferrer">Elasticsearch入门必备——ES中的字段类型以及常用属性</a>，如需转载请自行联系原博主。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-01-31 15:58:53</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e5%ad%98%e5%82%a8/" title="存储">存储</a>, <a href="https://www.iamivan.net/tag/%e7%b4%a2%e5%bc%95/" title="索引">索引</a>, <a href="https://www.iamivan.net/tag/index/" title="index">index</a>, <a href="https://www.iamivan.net/tag/source/" title="source">source</a>, <a href="https://www.iamivan.net/tag/elasticsearch/" title="Elasticsearch">Elasticsearch</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Elasticsearch入门必备——ES中的字段类型以及常用属性的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJ76Vvb.html" rel="bookmark">在SQL Server中修改字段类型和字段名称</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  在SQL Server中修改字段类型和字段名称 --以下是完整的SQL执行语句 if exists(select * from syscolumns where id=object_id('数据表名称') and name='字段名') --判断该字段是否存在 begin ALTER TABLE 表明 ALTER COLUMN 字段名 VARCHAR(64);--更改类型 end GO if exists(select * from syscolumns where id=object_id			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvY749b.html" rel="bookmark">javascript中对Date类型的常用操作小结&lowbar;基础知识</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				javascript中对Date类型的常用操作小结 /** 3. * 日期时间脚本库方法列表: 4. * (1)Date.isValiDate:日期合法性验证 5. * (2)Date.isValiTime:时间合法性验证 6. * (3)Date.isValiDateTime:日期和时间合法性验证 7. * (4)Date.prototype.isLeapYear:判断是否闰年 8. * (5)Date.prototype.format:日期格式化 9. * (6)Date.stringToD			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MrDwkvz.html" rel="bookmark">ORACLE MYSQL中join 字段类型不同索引失效的情况</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				关于JOIN使用不同类型的字段类型,数据库可能进行隐士转换,MYSQL ORACLE都是如此, 下面使用一个列子来看看,脚本如下: mysql: drop table testjoin1; drop table testjoin2; create table testjoin1(id int, name varchar(20)); create table testjoin2(id varchar(20),name varchar(20),key(id); oracle: drop table			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/XpmYn1p.html" rel="bookmark">MySQL中BLOB字段类型介绍</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				BLOB类型的字段用于存储二进制数据 MySQL中,BLOB是个类型系列,包括:TinyBlob.Blob.MediumBlob.LongBlob,这几个类型之间的唯一区别是在存储文件的最大大小上不同. MySQL的四种BLOB类型 类型 大小(单位:字节) TinyBlob 最大 255 Blob 最大 65K MediumBlob 最大 16M LongBlob 最大 4G			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bBZRw4b.html" rel="bookmark">《读书报告 -- Elasticsearch入门 》--简单使用（2）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				&lt;读书报告 – Elasticsearch入门 &gt; ' 第四章 分布式文件存储 这章的主要内容是理解数据如何在分布式系统中存储. 4.1 路由文档到分片 创建一个新文档时,它是如何确定应该存储在分片1还是分片2上的呢? 这个过程不是随机的,因为将来要检索文档.事实上,它根据一个简单的算法决定: shard = hash(routing) % number_of_primary_shards routing值是一个任意字符串,它默认是_id但也可以自定义.这个routing字符串通过哈希函数生成			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/My3JA8z.html" rel="bookmark">SpringData ES中一些底层原理的分析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				之前写过一篇SpringData ES 关于字段名和索引中的列名字不一致导致的查询问题,顺便深入学习下Spring Data Elasticsearch. Spring Data Elasticsearch是Spring Data针对Elasticsearch的实现. 它跟Spring Data一样,提供了Repository接口,我们只需要定义一个新的接口并继承这个Repository接口,然后就可以注入这个新的接口使用了. 定义接口:  @Repository public interfac			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5Qe4Dp.html" rel="bookmark">mysql 增加修改字段类型及删除字段类型&lowbar;Mysql</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				MySQL添加字段: alter table `user_movement_log` Add column GatewayId int not null default 0 AFTER `Regionid` (在哪个字段后面添加) 删除字段: alter table `user_movement_log` drop column Gatewayid 调整字段顺序: ALTER TABLE `user_movement_log` CHANGE `GatewayId` `GatewayId` int			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/OMyyo8M.html" rel="bookmark">sql2005的xml字段类型在&period;net中的应用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				sql|sql2005|xml    今天要介绍的就是sql2005的xml字段类型在.net中的应用.调用过程是:先运用并行化的办法把xml字段类型中的数据转换成Model对象,对Model对象操作后,再运用串行化的方法把Model对象转变成xml格式,最后存储到数据库中.       我认为如果把复杂的业务关系数据存储在xml字段中,可简化数据库的设计,方便业务的处理.        这里写了个小demo:            假如我们有很多店铺信息,每个店铺都有一个ShopID, 所以我			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Lp5ygap.html" rel="bookmark">SQL中varchar和nvarchar字段类型的区别</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				sql|区别|varchar|字段类型 在SQL Server 2000中,NVARCHAR和VARCHAR区别是什么? SQL Server提供两种数据类型来存储字符信息.在如何在SQL Server或应用程序中使用方面,这两种数据类型大致是一样的.差别在于nvarchar是用于存储处理数据库图表中多语言数据的Unicode数据.其它语言有一套需要保存的字符代码的扩展集,这种数据类型支持这样的扩展.因为需要存储其它语言的扩展字符代码,nvarchar占用的空间是varchar的两倍.     			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7M0B68z.html" rel="bookmark" class="title">关于Microsoft FrontPage 2002的应用技巧四则</a>
					<div>
						frontpage|技巧 中文简繁体网页的转换 FrontPage 2002提供了中文简繁体转换的功能.只要轻轻一点就可做出简体或繁体中文网站了.如要将当前的网页转变为繁体,只需点击菜单&quot;视 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xpn5E0M.html" rel="bookmark" class="title">ASP基础教程之实例学习ASP Response 对象</a>
					<div>
						response|对象|基础教程 ASP Response 对象用于从服务器向用户发送输出的结果. 实例 使用ASP写文本 本例演示如何使用ASP来写文本. &lt;html&gt;&lt;body& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXBVgWb.html" rel="bookmark" class="title">简述Linux文件系统的目录结构</a>
					<div>
						Linux文件系统结的结构是树形结构,其入口从/开始,了解Linux文件系统的结构,对于我们需要掌握的基础知识点之一. 1.什么是文件系统: 请参见:&lt;Linux 文件系统概述&gt; 2.文件 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAaLBJM.html" rel="bookmark" class="title">金山毒霸免费wifi怎么使用</a>
					<div>
						  金山毒霸免费wifi怎么使用?现在,不少人都在使用金山毒霸.不知道大家有没有发现,金山毒霸有个贴心的小功能,就是添加了一个开启免费wifi的功能,能在你电脑连接无线或者有线网络的时候来共享电脑的网 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1R0orp.html" rel="bookmark" class="title">19楼网站的banner广告位：不影响用户体验</a>
					<div>
						对于一些房产网站和地方社区网站来说,商家在网页上的硬广是其主要盈利收入,不断增加的广告收入,同时带来不断增加的banner广告,有的甚 至在首页达到三屏至多,贴内五条硬广,另外还有无处不在的悬浮广告, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY2nQep.html" rel="bookmark" class="title">python获取指定目录下所有文件名列表的方法</a>
					<div>
						  本文实例讲述了python获取指定目录下所有文件名列表的方法.分享给大家供大家参考.具体实现方法如下: 这里python代码实现获取文件名列表的功能,可以指定文件中包含的字符,方便提取特定类型的文 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1RYNjp.html" rel="bookmark" class="title">不让无关信息打扰迅雷下载</a>
					<div>
						  迅雷7.2中针对应用作了重大更新,有了它,迅雷已经成为了一个非常开放的平台,很多好的应用都可以在其上实现.这里,笔者给大家2个十分实用的技巧,有了它们,可以让迅雷的界面变得更为清爽,不让失效和无关 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq8r1ab.html" rel="bookmark" class="title">Word中如何为生僻字表上拼音的方法步骤</a>
					<div>
						  小时候语文没有学好,发现为什么网上有那么多不认识的字?哈哈.如何能知道这个文字的拼音呢?用Word就能简单的给文字标上拼音.首先打开Word,将不认识的文字贴到里面.比如:魑魅魍魉.饕餮.都好复杂 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnYogkM.html" rel="bookmark" class="title">如何永久免费使用迅雷快鸟</a>
					<div>
						  方法如下: 1:下载并安装迅雷快鸟 2:在迅雷快鸟上登陆迅雷账号 3:几秒钟的测试后,点击&quot;开始试用&quot;,有60分钟试用时间 4:等试用快要结束时退出迅雷快鸟 5:再打开迅雷快鸟 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKQQRAp.html" rel="bookmark" class="title">实际项目中，Hibernate的hbm&period;xml文件大家倾向于放置在什么位置</a>
					<div>
						问题描述 虽使用Hibernate时间不短,近日萌生疑问 因为项目需求存在变更的情况,数据库表结果是有变化发生的 甚至数量是有变化的,因此需修改或增加实体类(或称POJO).对应的Hibernate  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPPKwDp.html" rel="bookmark" class="title">关于ntp（时间同步协议）服务端和客户端的配置说明</a>
					<div>
						原创作品,允许转载,转载时请务必以超链接形式标明文章 原始出处 .作者信息和本声明.否则将追究法律责任.http://dgd2010.blog.51cto.com/1539422/1427010 本文 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkwkZjp.html" rel="bookmark" class="title">java myecl&period;&period;&period;-java的swing问题，各位大神，求解啊</a>
					<div>
						问题描述 java的swing问题,各位大神,求解啊 java的swing用多表查询怎样使多个表中的数据在同一个窗体中显示出来? 解决方案 用监听器传就好了,设置多个Jpanel 用Layout布置好 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqA9d3M.html" rel="bookmark" class="title">从前端小白到技术专家，这里有3点可执行的建议</a>
					<div>
						新人刚接触前端,你可能会问: 零基础能学前端课程吗? 要如何开始学习前端呢? 如果你是前端工作者,你可能会问: 我要怎样让自己变得更优秀? 前端天花板低发展,真的遇到瓶颈了吗? 接下来,我会从学习.实 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqAlA3M.html" rel="bookmark" class="title">pb-PB的数据窗口中怎样选中一列？</a>
					<div>
						问题描述 PB的数据窗口中怎样选中一列? 我做的是一个图书馆信息管理系统,我想在数据窗口中把读者信息中的&quot;在校&quot;的一列都变成&quot;毕业&quot; 的字样,这怎么实现啊! 解 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPPn4vp.html" rel="bookmark" class="title">POJ 1595 素数筛法</a>
					<div>
						题意让求一段素数中间的几个素数 用素数筛法筛出范围内的素数然后确定一下就行了 注意题目中1也算作素数了 具体看代码 #include &lt;iostream&gt; #include&lt;cstd ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M941Evb.html" rel="bookmark" class="title">跪求解决JTable删除多行后，数据越界问题</a>
					<div>
						问题描述 1,删除勾选行(注我是从行号由大到小删除的,代码中注释的都是我试过方法,可是不行).//删除转回操作行finalDefaultTableModeltableModel=(DefaultTab ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeR049b.html" rel="bookmark" class="title">利用virtual box 自带remote display 实现windows 远程桌面连接ubuntu</a>
					<div>
						1.设置virtual box 2.远程桌面: 注意IP是主机的IP,不是虚拟机中的IP   最终远程连接效果图:     总结: 远程桌面主要有两种协议:VNC 和RDP ubuntu 有VNC的s ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Zeq6z.html" rel="bookmark" class="title">精英A990FXM-A主板3-Way多屏显示解决方案</a>
					<div>
						3-Way 多屏显示解决方案阿帕奇长效固态电容,即便在严酷的高温环境下依然能够提供稳定的供电100%全固态电容设计,提升提升6倍使用寿命,使超频更加容易和稳定支持ECS &quot;NonStop&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0nWNDz.html" rel="bookmark" class="title">作为seoer 你了解搜索引擎抓取和更新策略吗</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 最近在看一本书,发现当我们不实践直 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBgkWkM.html" rel="bookmark" class="title">cocos-x 怎样实现点击手机返回键退出应用，并回到手机界面，，求大神指导</a>
					<div>
						问题描述 cocos-x 怎样实现点击手机返回键退出应用,并回到手机界面,,求大神指导 cocos-x 怎样实现点击手机返回键退出应用,并回到手机界面,,求大神指导 解决方案 具体是哪个版本的coco ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8YxE4z.html" rel="bookmark" class="title">Kickstarter基金投资的女创业家们分享创业经验</a>
					<div>
						硬件产品的创业公司的创始人和CEO同华尔街日报Lora Kolodny分享他们的生产产品.创造技术原型以及融资的一些情况.她们是Adafruit Industries的Limor Fried,Room ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mgw7w6M.html" rel="bookmark" class="title">三星Android全键盘Galaxy Pro官方图</a>
					<div>
						智能商务手机向来有着不错的市场收益和市场空间,所以众多手机厂商都在纷纷抢食这块巨大的蛋糕.除了黑莓.诺基亚和摩托罗拉等品牌推出面向商务用户的全键盘直板智能机型之外,三星也不甘落后于他人,其准备携手英国 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRNB9GM.html" rel="bookmark" class="title">本人对《Docker&mdash;&mdash;容器与容器云（第2版）》的读后感</a>
					<div>
						首先,这本书讲述了Docker 底层实现的原理及细节,语言通俗易懂,对Kubernetes 也进行呢深入的讲解,最近用k8s, 从这本书里学到了很多知识,对k8s 的核心组件进行了深入分析,对实现原理 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPkRA0M.html" rel="bookmark" class="title">NVIDIA与英特尔在过去两年，两家公司争斗不断</a>
					<div>
						全球第一大独立显卡供应商.华裔企业NVIDIA将在中国传统节日春节将至时收到一个来自于处理器巨头英特尔的硕大&quot;红包&quot;,在过去两年,两家公司争斗不断.北京时间昨天凌晨,英特尔宣布,为 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmVdmDz.html" rel="bookmark" class="title">XCOPY只拷贝当天文件的实现代码&lowbar;DOS&sol;BAT</a>
					<div>
						最近由于MESIS数据库自动站资料的事,需要从CMACAST广播目录L1下将本省的区域自动站数据文件拷贝出来用于入库.在实际操作中碰到几个问题,特此做备忘录,以便以后查找. 问题1:MICDB指定的源 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJO384b.html" rel="bookmark" class="title">关于网站应用程序池的帐号密码更改及其影响的实例分析&lowbar;win服务器</a>
					<div>
						实例场景 我们有一个网站(名称为test),它使用了一个应用程序池(名称也为test) 这个应用程序池所使用的用户帐号为app_pool_test 这个帐号当前的密码,假设为 abc .当我设置好之后 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MR1XqKb.html" rel="bookmark" class="title">PHP微信支付开发实例&lowbar;php实例</a>
					<div>
						PHP微信支付开发过程,分享给大家,供大家参考,具体内容如下 1.开发环境 Thinkphp 3.2.3 微信:服务号,已认证 开发域名:http://test.paywechat.com (自定义的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW78dnM.html" rel="bookmark" class="title">注册时可以传入昵称吗？</a>
					<div>
						问题描述 rest接口注册用户的时候能同时传昵称吗? 解决方案 注册的时候可以传入昵称,但是这个昵称是专门给apns推送显示用的,并不是您app上的用户昵称.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEYxPZb.html" rel="bookmark" class="title">异版本pg&lowbar;resetxlog后导致的问题处理</a>
					<div>
						背景 数据库的redo日志损坏时,或者控制文件损坏时,可能导致数据库无法启动. 如果存放pg_xlog或者pg_control文件的块设备遇到问题,可能引发这种情况. 遇到xlog或者控制文件损坏的时 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8G27PM.html" rel="bookmark" class="title">网络侵权范围划定：维权成本将急降</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 擅自提供侵权作品的网络服务提供者,将面临全盘清洗.CFP供图 &quot;避风港原则&quot;遭资源网站滥用 网络侵权范围划定,维权成本急降 中国最高 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.025 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
